<?php

/* DCMS Special
 * Дата последнего редактирования 27.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Сообщества');
require_once 'sys/inc/thead.php';

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['post'])) {

    if ($_POST['name'] == NULL) {
        $err = lang('Введите название сообщества');
    } elseif ($_POST['post'] == NULL) {
        $err[] = lang('Введите описание сообщества');
    } elseif (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['name'])) {
        $err[] = lang('В названии присутствуют запрещенные символы');
    } elseif (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['post'])) {
        $err[] = lang('В описании присутствуют запрещенные символы');
    } elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['name'])) {
        $err[] = lang('Запрещено использовать пробел в начале и конце названия');
    } elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['post'])) {
        $err[] = lang('Запрещено использовать пробел в начале и конце описания');
    } else {
        $post = mysql_real_escape_string($_POST['post']);
        $name = mysql_real_escape_string($_POST['name']);

        if (utf8_strlen($name) < 1) {
            $err = lang('Слишком короткое название');
        }
        if (utf8_strlen($name) > 512) {
            $err = lang('Слишком длинное название');
        }
        if (utf8_strlen($post) < 1) {
            $err = lang('Короткое описание');
        }
        if (utf8_strlen($post) > 12000) {
            $err = lang('Слишком длинное описание');
        }

        if (isset($_POST['privat'])) {
            if ($_POST['privat'] == 1) {
                $privat = '1';
            } else {
                $privat = '0';
            }
        } else {
            $privat = '0';
        }

        if (!isset($err)) {
            mysql_query("INSERT INTO `public` (`id_user`, `name`, `post`, `podpis`, `time`, `privat`) values('" . $user['id'] . "', '$name', '$post', '1', '$time', '$privat')");

            $id_public = mysql_insert_id();
            if ($_POST['privat'] == 1) {
                mysql_query("INSERT INTO `public_coint` (`id_public`, `id_user`, `privat`) values('" . $id_public . "', '" . $user['id'] . "', '1')");
            } else {
                mysql_query("INSERT INTO `public_coint` (`id_public`, `id_user`) values('" . $id_public . "', '" . $user['id'] . "')");
            }
            $_SESSION['message'] = lang('Сообщество успешно создано');

            header("Location: /modules/public/index.php?id=$id_public");
            exit();
        }
    }
}

if (isset($_GET['del']) && $_GET['del'] == 'del' && intval($_GET['id'])) {
    if ($user['level'] > 2) {
        mysql_query("DELETE FROM `public_coint` WHERE `id_public` = '" . intval($_GET['id']) . "'");
        mysql_query("DELETE FROM `public` WHERE `id` = '" . intval($_GET['id']) . "'");
        mysql_query("OPTIMIZE TABLE `public_coint`");
        mysql_query("OPTIMIZE TABLE `public`");

        $_SESSION['message'] = lang('Сообщество успешно удалено');

        header("Location: /public.php");
        exit();
    } else {
        $msg = "Совершил попытку удаления сообщества";
        mysql_query("INSERT INTO `events` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '1', '" . $msg . "', '$time')");

        $_SESSION['message'] = lang('Администрация уведомлена');
        header("Location: /public.php");
        exit;
    }
}

aut();
err();


if (isset($_GET['add']) && $_GET['add'] == 'add') {
    if (isset($user)) {
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/public.php'>" . lang('Сообщества') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Новое сообщество');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' method='post' action='?add'>";

        $doc->Input('name', 'Название сообщества');
        $doc->Textarea('post', 'Описание сообщества');
        $doc->Checkbox('privat', 'Закрытое сообщество', 1);
        $doc->Button('btn btn-primary btn-sm', null, 'plus', 'Создать');
        echo "</form>";
    }
} else {

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Сообщества');
    echo "</small></div><br />";

    if (isset($user)) {
        echo "<div class='list-group-item-null list-group-item-grey'>";
        echo "<a class='btn btn-primary btn-sm' href='/public.php?add=add'><i class='fa fa-plus fa-fw'></i> " . lang('Создать сообщество') . "</a> ";
        echo "<a class='btn btn-secondary btn-sm' href='/modules/public/user.php?id=$user[id]&amp;ank=ank'><i class='fa fa-user fa-fw'></i> " . lang('Мои сообщества') . "</a>";
        echo "</div>";
    }

    include_once 'modules/public/web.php';
}

include_once 'sys/inc/tfoot.php';
